export interface BundleOptions {
    target?: string;
    platform?: "browser" | "node" | "neutral";
    format?: "iife" | "cjs" | "esm";
    minify?: boolean;
    inject?: string[];
}
/**
 * Creates a bundle() function that can be used by build targets
 * to package the SSR code together with some platform specific
 * adapter logic.
 */
export declare function createBundler(ssrBundle: string): (input: string, output: string, options?: BundleOptions) => Promise<void>;
